org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class ParameterPropertyVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.MethodPropertyVisitor
    - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.ParameterPropertyVisitor

    public class ParameterPropertyVisitor
    extends MethodPropertyVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`ParameterPropertyVisitor(org.apache.felix.ipojo.metadata.Element parent, org.objectweb.asm.tree.MethodNode method, int index)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.MethodPropertyVisitor

`visit, visitEndCommon`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterPropertyVisitor

    public ParameterPropertyVisitor(org.apache.felix.ipojo.metadata.Element parent,
                                    org.objectweb.asm.tree.MethodNode method,
                                    int index)

Constructor.

Parameters:
  `parent` - : element element.
  `method` - : attached method.
  `index` - : the parameter index

### Method Detail

#### visitEnd

    public void visitEnd()

End of the visit. Append the computed element to the element element.

Overrides:
  `visitEnd` in class `MethodPropertyVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`